const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    TPMENU = Lang.tpmenu,
    PLAYER_LIST = Lang.player_list;

mc.listen("onServerStarted", () => {
    const cmd = mc.newCommand("optp", `${TPMENU}`, PermType.GameMasters)
    cmd.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(`${ORI_ERROR}`); else {
            var player = ori.player;
            var gui = mc.newCustomForm()
            var pls = mc.getOnlinePlayers()
            let players = []
            for (let i = 0; i <= pls.length - 1; i++) {
                players.push(pls[i].realName)
            }
            gui.setTitle(`${TPMENU}`)
            gui.addDropdown(`${PLAYER_LIST}`, players)
            player.sendForm(gui, function (pl, data) {
                if (data != null) {
                    mc.runcmd(`tp ${pl.realName} ${players[data[0]]}`)
                }
            })
        }
    })
    cmd.overload([]);
    cmd.setup();
})