const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    PING_COMMAND = Lang.ping_command,
    PING_TITLE = Lang.ping_title;

mc.listen("onServerStarted", () => {
    const PING = mc.newCommand("ping", `${PING_COMMAND}`, PermType.Any);
    PING.setCallback((_cmd, ori, out, res) => {
        if (!ori.player) return out.error(`${ORI_ERROR}`);
        if (ori.player) {
            let PLos = ori.player.getDevice()
            PLAP = PLos.avgPing
            ori.player.tell(`${PING_TITLE}${PLAP} §rms`)
        };
    });
    PING.overload([]);
    PING.setup();
});