const { PAPI } = require(`../../GMLIB-LegacyRemoteCallApi/lib/BEPlaceholderAPI-JS`);

const siedbar = new JsonConfigFile("./plugins/Elysium/config/Sidebar.json")
const data = siedbar.init("data", []);
const title = siedbar.init("title", {});

const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;
let SideBarinterval = config.侧边栏刷新间隔;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    SIDEBAR_COMMAND = Lang.sidebar_command,
    SIDEBAR_ON = Lang.sidebar_on,
    SIDEBAR_OFF = Lang.sidebar_off,
    SIDEBAR_RELOAD = Lang.sidebar_reload,
    SIDEBAR_RELOAD_ERROR = Lang.sidebar_reload_error,
    SIDEBAR_RELOAD_MENU = Lang.sidebar_reload_menu,
    SIDEBAR_ON_MENU = Lang.sidebar_on_menu,
    SIDEBAR_OFF_MENU = Lang.sidebar_off_menu;


let i = 0;
let j = 0;

setInterval(() => {//重复执行
    let pls = mc.getOnlinePlayers();
    for (let i in pls) {
        if (pls[i].hasTag("sidebar") == true) {
            SETTITLE(pls[i]);
        }
    }
}, SideBarinterval * 1000)

function Entitys() {
    let Entity = {
        mob: 0,
        item: 0
    };
    let Entitys = mc.getAllEntities();
    if (Entitys.length > 0) {
        Entitys.forEach(entitys => {
            entitys.isItemEntity() ? Entity.item++ : Entity.mob++;
        });
    };
    return Entity;
}

function SETTITLE(player) {
    let Entity = Entitys();
    let plDevice = player.getDevice();
    let player_ping = plDevice.avgPing;
    let player_ip = plDevice.ip;
    let strObj = JSON.stringify(data)
        .replace(/\{player_realname}/g, player.realName)
        .replace(/\{player_uuid}/g, player.uuid)
        .replace(/\{player_xuid}/g, player.xuid)
        .replace(/\{player_ping}/g, player_ping)
        .replace(/\{player_health}/g, player.health)
        .replace(/\{player_max_health}/g, player.maxHealth)
        .replace(/\{player_gamemode}/g, player.gameMode)
        .replace(/\{player_x}/g, player.pos.x)
        .replace(/\{player_y}/g, player.pos.y)
        .replace(/\{player_z}/g, player.pos.z)
        .replace(/\{player_is_op}/g, player.isOP())
        .replace(/\{player_ip}/g, player_ip)
        .replace(/\{player_language}/g, player.langCode)
        .replace(/\{player_level}/g, player.level)
        .replace(/\{item}/g, Entity.item)
        .replace(/\{mob}/g, Entity.mob);
    strObj = PAPI.translateString(strObj, player);
    let obj = JSON.parse(strObj);

    let title_sidebar = PAPI.translateString(title[i], player);
    i = ++i % title.length;
    j = ++j % data.length;

    player.removeSidebar();
    player.setSidebar(title_sidebar, obj);
}


mc.listen("onServerStarted", function () {
    const SIDEBAR = mc.newCommand("sidebar", `${SIDEBAR_COMMAND}`, PermType.Any)
    SIDEBAR.setEnum("sidebar", ["on", "off", "reload"]);
    SIDEBAR.optional("sidebar", ParamType.Enum, "sidebar", 1);
    SIDEBAR.overload(["sidebar"]);
    SIDEBAR.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (res.sidebar != undefined) {
            switch (res.sidebar) {
                case "on":
                    ori.player.addTag("sidebar");
                    ori.player.tell(`${SIDEBAR_ON}`);
                    break;
                case "off":
                    ori.player.removeTag("sidebar");
                    ori.player.removeSidebar();
                    ori.player.tell(`${SIDEBAR_OFF}`);
                    break;
                case "reload":
                    if (ori.player.isOP()) {
                        siedbar.reload();
                        ori.player.tell(`${SIDEBAR_RELOAD}`);
                    } else if (!ori.player.isOP()) {
                        ori.player.tell(`${SIDEBAR_RELOAD_ERROR}`);
                    }
                    break;
            }
            return;
        }
        if (res.sidebar == undefined) {
            menu(ori.player)
            return;
        }
    })
    SIDEBAR.setup();
})

var PROMPT = {
    ON: `${SIDEBAR_ON_MENU}`,
    OFF: `${SIDEBAR_OFF_MENU}`,
    RELOAD: `${SIDEBAR_RELOAD_MENU}`,
}

function menu(player) {
    var fm = mc.newSimpleForm();
    fm.setTitle("Sidebar");
    fm.addButton(PROMPT.ON, "textures/ui/mute_off.png");
    fm.addButton(PROMPT.OFF, "textures/ui/mute_on.png");
    if (player.isOP()) {
        fm.addButton(PROMPT.RELOAD, "textures/ui/book_shiftleft_hover.png");
    }
    player.sendForm(fm,
        function (pla, data) {
            switch (data) {
                case 0:
                    pla.addTag("sidebar");
                    pla.tell(`${SIDEBAR_ON}`);
                    break;
                case 1:
                    pla.removeTag("sidebar");
                    pla.removeSidebar();
                    pla.tell(`${SIDEBAR_OFF}`);
                    break;
                case 2:
                    siedbar.reload();
                    pla.tell(`${SIDEBAR_RELOAD}`);
            }
        }
    );
}
