const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    GOD_COMMAND = Lang.god_command,
    GOD_COMMAND_ON = Lang.god_command_on,
    GOD_COMMAND_OFF = Lang.god_command_off;

mc.listen("onServerStarted", () => {
    const GOD = mc.newCommand("god", `${GOD_COMMAND}`, PermType.Any)
    GOD.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori.player && ori.player.hasTag("god") == false) {
            ori.player.addTag("god");
            ori.player.tell(`${GOD_COMMAND_ON}`);
        } else if (ori.player && ori.player.hasTag("god") == true) {
            ori.player.removeTag("god");
            ori.player.tell(`${GOD_COMMAND_OFF}`);
        }
    });
    GOD.overload([]);
    GOD.setup();
})

mc.listen("onMobHurt", function (mob, source, damage, cause) {
    if (mob.hasTag("god") == true && mob.isPlayer() == true) {
        return false;
    }
})