const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    HAND_COMMAND = Lang.hand_command;

mc.listen("onServerStarted", () => {
    const HAND = mc.newCommand("offhand", `${HAND_COMMAND}`, PermType.Any)
    HAND.setCallback(function (_cmd, ori, out, _res) {
        const hand = ori.player.getHand().type;
        const offhand = ori.player.getOffHand().type;
        if (!ori.player) return out.error(ORI_ERROR);
        if (hand == "") {
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.mainhand 1 ${offhand}`)
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.offhand 1 air`)
        } else if (offhand == "") {
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.mainhand 1 air`)
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.offhand 1 ${hand}`)
        } else if (hand != "" && offhand != "") {
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.mainhand 1 ${offhand}`)
            mc.runcmd(`replaceitem entity "${ori.player.name}" slot.weapon.offhand 1 ${hand}`)
        }


    });
    HAND.overload([]);
    HAND.setup();
})