const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    SPEED_COMMAND = Lang.speed_command,
    SPEED_RESET = Lang.speed_reset,
    SPEED_SET = Lang.speed_set,
    SCALE_COMMAND_SET2 = Lang.scale_command_set2,
    SPEED_ERROR1 = Lang.speed_error1,
    SPEED_ERROR2 = Lang.speed_error2;

mc.listen("onServerStarted", function () {
    const speed = mc.newCommand("speed", `${SPEED_COMMAND}`, PermType.Any)
    speed.optional('Int', ParamType.Int, 1)
    speed.overload(['Int']);
    speed.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        let player = ori.player;
        if (res.Int == undefined) {
            player.setMovementSpeed(0.1);
            player.tell(`${SPEED_RESET}`)
        }
        else if (res.Int > 100) {
            player.tell(`${SPEED_ERROR1}`)
        } else if (res.Int < 0) {
            player.tell(`${SPEED_ERROR2}`)
        } else if (0 >= res.Int <= 100) {
            let speed = res.Int;
            player.setMovementSpeed(speed * 0.1);
            player.tell(`${SPEED_SET} ${speed} ${SCALE_COMMAND_SET2}！`)
        }

    });
    speed.setup();
})