const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    SPAWN_POINT = Lang.spawn_point

mc.listen("onServerStarted", function () {
    const sdl = mc.newCommand("sdl", "是大佬", PermType.Any)
    sdl.optional('name', ParamType.Player)
    sdl.overload(['name']);
    sdl.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        try {
            if (res.name != undefined) {
                let pl_name = res.name[0].name
                mc.broadcast(` ${pl_name} 是大佬`, 1)
            } else {
                mc.broadcast(' 是大佬', 1)
            }
        } catch (error) {
            let name = ori.player.name;
            mc.runcmd(`tellraw "${name}" {"rawtext":[{"text":"此玩家不存在"}]}`)
        }
    });
    sdl.setup();
})

mc.listen("onServerStarted", function () {
    const ssb = mc.newCommand("ssb", "是傻逼", PermType.Any)
    ssb.optional('name', ParamType.Player)
    ssb.overload(['name']);
    ssb.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        try {
            if (res.name != undefined) {
                let pl_name = res.name[0].name
                mc.broadcast(` ${pl_name} 是傻逼`, 1)
            } else {
                mc.broadcast(' 是傻逼', 1)
            }
        } catch (error) {
            let name = ori.player.name;
            mc.runcmd(`tellraw "${name}" {"rawtext":[{"text":"此玩家不存在"}]}`)
        }
    });
    ssb.setup();
})

mc.listen("onServerStarted", function () {
    const sds = mc.newCommand("sds", "是大神", PermType.Any)
    sds.optional('name', ParamType.Player)
    sds.overload(['name']);
    sds.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        try {
            if (res.name != undefined) {
                let pl_name = res.name[0].name
                mc.broadcast(` ${pl_name} 是大神`, 1)
            } else {
                mc.broadcast(' 是大神', 1)
            }
        } catch (error) {
            let name = ori.player.name;
            mc.runcmd(`tellraw "${name}" {"rawtext":[{"text":"此玩家不存在"}]}`)
        }
    });
    sds.setup();
})

mc.listen("onServerStarted", function () {
    const tql = mc.newCommand("tql", "太强了", PermType.Any)
    tql.optional('name', ParamType.Player)
    tql.overload(['name']);
    tql.setCallback(function (_cmd, ori, out, res) {
        if (!ori.player) return out.error(ORI_ERROR);
        try {
            if (res.name != undefined) {
                let pl_name = res.name[0].name
                mc.broadcast(` ${pl_name} 太强了`, 1)
            } else {
                mc.broadcast(' 太强了', 1)
            }
        } catch (error) {
            let name = ori.player.name;
            mc.runcmd(`tellraw "${name}" {"rawtext":[{"text":"此玩家不存在"}]}`)
        }
    });
    tql.setup();
})

mc.listen("onServerStarted", function () {
    const wbs = mc.newCommand("wbs", "我不是", PermType.Any)
    wbs.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori) {
            mc.broadcast(' 我不是')
        }
    });
    wbs.overload([]);
    wbs.setup();
})

mc.listen("onServerStarted", function () {
    const awsl = mc.newCommand("awsl", "啊我死了", PermType.Any)
    awsl.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori) {
            mc.broadcast(' 啊我死了')
        }
    });
    awsl.overload([]);
    awsl.setup();
})

mc.listen("onServerStarted", function () {
    const shen = mc.newCommand("shen", "神!", PermType.Any)
    shen.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori) {
            mc.broadcast(' 神!')
        }
    });
    shen.overload([]);
    shen.setup();
})

mc.listen("onServerStarted", function () {
    const ping = mc.newCommand("pa", "啪!", PermType.Any)
    ping.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori) {
            mc.broadcast(' 啪!')
        }
    });
    ping.overload([]);
    ping.setup();
})

mc.listen("onServerStarted", function () {
    const damn = mc.newCommand("damn", "damn!", PermType.Any)
    damn.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        if (ori) {
            mc.broadcast(' damn!')
        }
    });
    damn.overload([]);
    damn.setup();
})