const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    SPAWN_POINT = Lang.spawn_point

mc.listen("onServerStarted", () => {
    const SPAWN = mc.newCommand("spawn", `${SPAWN_POINT}`, PermType.Any);
    SPAWN.setCallback((_cmd, ori, out) => {
        if (!ori.player) return out.error(ORI_ERROR);
        mc.runcmd(`tp ${ori.player.name} ${ori.player.getRespawnPosition().x} ${ori.player.getRespawnPosition().y} ${ori.player.getRespawnPosition().z}`);
    });
    SPAWN.overload([]);
    SPAWN.setup();
});
