const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let TPS_COMMAND = Lang.tps_command,
    TPS_PLAYER = Lang.tps_player;

const { PAPI } = require('../../GMLIB-LegacyRemoteCallApi/lib/BEPlaceholderAPI-JS');

var papitps = PAPI.getValue("server_tps"),
    server_tps = Math.floor(papitps / 1) % 60;

mc.listen("onServerStarted", () => {
    const TPS = mc.newCommand("tps", `${TPS_COMMAND}`, PermType.GameMasters);
    TPS.setCallback((_cmd, ori, out, res) => {
        if (!ori.player) { log(`${TPS_PLAYER}`+ server_tps) };
        if (ori.player) { ori.player.tell(`${TPS_PLAYER}`+ server_tps) };
    });
    TPS.overload([]);
    TPS.setup();
});