/*
 _______       ___            ___    ___  ________       ___      ___  ___      _____ ______      
|\\  ___ \\     |\\  \\          |\\  \\  /  /||\\   ____\\     |\\  \\    |\\  \\|\\  \\    |\\   _ \\  _   \\    
\\ \\   __/|    \\ \\  \\         \\ \\  \\/  / /\\ \\  \\___|_    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\\\\\__\\ \\  \\   
 \\ \\  \\_|/__   \\ \\  \\         \\ \\    / /  \\ \\_____  \\    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\\\|__| \\  \\  
  \\ \\  \\_|\\ \\   \\ \\  \\____     \\/  /  /    \\|____|\\  \\    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\    \\ \\  \\ 
   \\ \\_______\\   \\ \\_______\\ __/  / /        ____\\_\\  \\    \\ \\__\\   \\ \\_______\\   \\ \\__\\    \\ \\__\\
    \\|_______|    \\|_______||\\___/ /        |\\_________\\    \\|__|    \\|_______|    \\|__|     \\|__|
                            \\|___|/         \\|_________|                                          
                                                                                                  
                                                                                                                                
*/

const conf = new JsonConfigFile("./plugins/Elysium/config/config.json");
const config = conf.init("config", {});
const module = conf.init("modules", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});
const Elysium_help = LANG.init("Elysium_help", {});

const Sidebar_conf = new JsonConfigFile(`./plugins/Elysium/config/Sidebar.json`)
const BossBar_conf = new JsonConfigFile(`./plugins/Elysium/config/BossBar.json`)
const Motd_conf = new JsonConfigFile(`./plugins/Elysium/config/Motd.json`)
const player_nick_conf = new JsonConfigFile(`./plugins/Elysium/config/player_nick.json`)
const player_online_time_conf = new JsonConfigFile(`./plugins/Elysium/config/player_online_time.json`)
const player_sign_conf = new JsonConfigFile(`./plugins/Elysium/config/player_sign.json`)

let ORI_ERROR = Lang.ori_error,
    MODESWITCH_COMMAND = Lang.modeswitch_command;


let Nick = module.Nick;
let DeathMode = module.DeathMode;
let Fly = module.Fly;
let Speed = module.Speed;
let GameMode = module.GameMode;
let PlayerInformation = module.PlayerInformation;
let Scale = module.Scale;
let God = module.God;
let Offhand = module.Offhand;
let Afk = module.Afk;
let Menu = module.Menu;
let Sign = module.Sign;
let Item = module.Item;
let ThrowSieve = module.ThrowSieve;
let MoreCommand = module.MoreCommand;
let SmallCapabilities = module.smallCapabilities;
let OPTP = module.OPTP;
let Tick = module.Tick;
let Spawn = module.Spawn;
let Tps = module.Tps;
let Ping = module.Ping;
let Motd = module.Motd;
let Sidebar = module.Sidebar;
let Genshin_Start = module.Genshin_Start;
let Bossbar = module.Bossbar;

//playe;
let nick = true;
let deathmode = true;
let fly = true;
let speed = true;
let gamemode = true;
let plinfo = true;
let scale = true;
let god = true;
let offhand = true;
let afk = true;

if (Nick == true) {
    try {
        const Nick_module = require(`./Elysium/Player/Nick.js`);
    } catch {
        nick = false;
    };
} else if (Nick == 0) {
    nick = false;
}

if (DeathMode == true) {
    try {
        const DeathMode_module = require(`./Elysium/Player/DeathMode.js`);
    } catch {
        deathmode = false;
    };
} else if (DeathMode == 0) {
    deathmode = false;
}

if (Fly == true) {
    try {
        const Fly_module = require(`./Elysium/Player/Fly.js`);
    } catch {
        fly = false;
    };
} else if (Fly == 0) {
    fly = false;
}

if (Speed == true) {
    try {
        const Speed_module = require(`./Elysium/Player/Speed.js`);
    } catch {
        speed = false;
    };
} else if (Speed == 0) {
    speed = false;
}

if (GameMode == true) {
    try {
        const Gamemode_module = require(`./Elysium/Player/Gamemode.js`);
    } catch {
        gamemode = false;
    };
} else if (GameMode == 0) {
    gamemode = false;
}

if (PlayerInformation == true) {
    try {
        const PlInfo_module = require(`./Elysium/Player/PlayerInformation.js`);
    } catch {
        plinfo = false;
    };
} else if (PlayerInformation == 0) {
    plinfo = false;
}

if (Scale == true) {
    try {
        const Scale_module = require(`./Elysium/Player/Scale.js`);
    } catch {
        scale = false;
    }
} else if (Scale == 0) {
    scale = false;
}

if (God == true) {
    try {
        const God_module = require(`./Elysium/Player/God.js`);
    } catch {
        god = false;
    };
} else if (God == 0) {
    god = false;
}

if (Offhand == true) {
    try {
        const Offhand_module = require(`./Elysium/Player/Offhand.js`);
    } catch {
        offhand = false;
    }
} else if (Offhand == 0) {
    offhand = false;
}

if (Afk == true) {
    try {
        const AFK_module = require(`./Elysium/Player/AFK.js`);
    } catch {
        afk = false;
    }
} else if (Afk == 0) {
    afk = false;
}

//Capabilities
let menu = true;
let sign = true;
let item = true;
let throwsieve = true;
let morecommand = true;
let smallCapabilities = true;
let optp = true;
let tick = true;
let spawn = true;
let tps = true;
let ping = true;
let motd = true;
let sidebar = true;
let genshin_start = true;
let bossbar = true;

if (Menu == 1) {
    try {
        const Menu_module = require(`./Elysium/Capabilities/Menu.js`);
    } catch {
        menu = false;
    };
} else if (Menu == 0) {
    menu = false;
}

if (Sign == 1) {
    try {
        const Sign_module = require(`./Elysium/Capabilities/Sign.js`);
    } catch {
        sign = false;
    };
} else if (Sign == 0) {
    sign = false;
}

if (Item == 1) {
    try {
        const Item_module = require(`./Elysium/Capabilities/Item.js`);
    } catch {
        item = false;
    };
} else if (Item == 0) {
    item = false;
}

if (ThrowSieve == 1) {
    try {
        const ThrowSieve_module = require(`./Elysium/Capabilities/ThrowSieve.js`);
    } catch {
        throwsieve = false;
    }
} else if (ThrowSieve == 0) {
    throwsieve = false;
}

if (MoreCommand == 1) {
    try {
        const MoreCommand_module = require(`./Elysium/Capabilities/MoreCommand.js`);
    } catch {
        morecommand = false;
    };
} else if (MoreCommand == 0) {
    morecommand = false;
}

if (SmallCapabilities == 1) {
    try {
        const SmallCapabilities_module = require(`./Elysium/Capabilities/SmallCapabilities.js`);
    } catch {
        smallCapabilities = false;
    };
} else if (SmallCapabilities == 0) {
    smallCapabilities = false;
}

if (OPTP == 1) {
    try {
        const OPTP_module = require(`./Elysium/Capabilities/OPTP.js`);
    } catch {
        optp = false;
    };
} else if (OPTP == 0) {
    optp = false;
}

if (Tick == 1) {
    try {
        const Tick_module = require(`./Elysium/Capabilities/Tick.js`);
    } catch {
        tick = false;
    };
} else if (Tick == 0) {
    tick = false;
}

if (Spawn == 1) {
    try {
        const Spawn_module = require(`./Elysium/Capabilities/Spawn.js`);
    } catch {
        spawn = false;
    };
} else if (Spawn == 0) {
    spawn = false;
}

if (Tps == 1) {
    try {
        const TPS_module = require(`./Elysium/Capabilities/TPS.js`);
    } catch {
        tps = false;
    }
} else if (Tps == 0) {
    tps = false;
}

if (Ping == 1) {
    try {
        const Ping_module = require(`./Elysium/Capabilities/Ping.js`);
    } catch {
        ping = false;
    };
} else if (Ping == 0) {
    ping = false;
}

if (Motd == 1) {
    try {
        const Motd_module = require(`./Elysium/Capabilities/Motd.js`);
    } catch {
        motd = false;
    };
} else if (Motd == 0) {
    motd = false;
}

if (Sidebar == 1) {
    try {
        const Sidebar_module = require(`./Elysium/Capabilities/Sidebar.js`);
    } catch {
        sidebar = false;
    };
} else if (Sidebar == 0) {
    sidebar = false;
}

if (Bossbar == 1) {
    try {
        const BossBar_module = require(`./Elysium/Capabilities/BossBar.js`);
    } catch {
        bossbar = false;
    };
} else if (Bossbar == 0) {
    bossbar = false;
}

if (Genshin_Start == 1) {
    try {
        const genshin_start_module = require(`./Elysium/Capabilities/原神启动!.js`);
    } catch {
        genshin_start = false;
    };
} else if (Genshin_Start == 0) {
    genshin_start = false;
}

const modules_log = {
    //player
    'Nick': nick,
    'DeathMode': deathmode,
    'Fly': fly,
    'Speed': speed,
    'GameMode': gamemode,
    'PlayerInformation': plinfo,
    'Scale': scale,
    'God': god,
    'Offhand': offhand,
    'Afk': afk,
    //Capabilities
    'Menu': menu,
    'Sign': sign,
    'Item': item,
    'ThrowSieve': throwsieve,
    'MoreCommand': morecommand,
    'smallCapabilities': smallCapabilities,
    'OPTP': optp,
    'Tick': tick,
    'Spawn': spawn,
    'Tps': tps,
    'Ping': ping,
    'Motd': motd,
    'Sidebar': sidebar,
    'BossBar': bossbar,
    '原神启动': genshin_start
}

const PLUGINS_NAME = "Elysium";
const PLUGINS_URI = "https://github.com/XT-xiaotong/Elysium";
const PLUGINS_AUTHOR = "xiaotong";
const PLUGINS_VERSION = "1.5.0";

colorLog("pink", `
_______       ___            ___    ___  ________       ___      ___  ___      _____ ______      
|\\  ___ \\     |\\  \\          |\\  \\  /  /||\\   ____\\     |\\  \\    |\\  \\|\\  \\    |\\   _ \\  _   \\    
\\ \\   __/|    \\ \\  \\         \\ \\  \\/  / /\\ \\  \\___|_    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\\\\\__\\ \\  \\   
 \\ \\  \\_|/__   \\ \\  \\         \\ \\    / /  \\ \\_____  \\    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\\\|__| \\  \\  
  \\ \\  \\_|\\ \\   \\ \\  \\____     \\/  /  /    \\|____|\\  \\    \\ \\  \\   \\ \\  \\\\\\  \\   \\ \\  \\    \\ \\  \\ 
   \\ \\_______\\   \\ \\_______\\ __/  / /        ____\\_\\  \\    \\ \\__\\   \\ \\_______\\   \\ \\__\\    \\ \\__\\
    \\|_______|    \\|_______||\\___/ /        |\\_________\\    \\|__|    \\|_______|    \\|__|     \\|__|
                            \\|___|/         \\|_________|                                          

    -------- ${PLUGINS_URI} --------
         By: ${PLUGINS_AUTHOR}     Plugins: ${PLUGINS_NAME}       Version: ${PLUGINS_VERSION}
`)

mc.listen("onJoin", (player) => {
    player.sendToast('进服通知', '手持钟右键可打开主菜单')
});

// 插件主命令
mc.listen("onServerStarted", () => {
    const ELYSIUM = mc.newCommand("elysium", `${MODESWITCH_COMMAND}`, PermType.Any);
    ELYSIUM.setAlias("es");
    ELYSIUM.setEnum("Elysium", ["list", "help", "debug", "me", "version", "conf_reload"]);
    ELYSIUM.mandatory("Elysium", ParamType.Enum, "Elysium", 1);
    ELYSIUM.overload(["Elysium"]);
    ELYSIUM.setCallback((_cmd, ori, out, res) => {
        switch (res.Elysium) {
            case "list":
                const loadedModules = [];
                const failedModules = [];
                const keys = Object.keys(modules_log);
                for (const key of keys) {
                    const moduleName = key;
                    const moduleStatus = modules_log[key];
                    const emoji = moduleStatus == 1 ? "§a✔§r" : "§4✘§r";
                    const message = `${moduleName}模块 ${emoji}`;
                    moduleStatus == 1 ? loadedModules.push(message) : failedModules.push(message);
                }
                const allModules = loadedModules.concat(failedModules);
                const response = `成功加载以下模块:\n${allModules.join('\n')}`;
                if (ori.player) {
                    ori.player.tell('------------');
                    ori.player.tell(response);
                    ori.player.tell('------------');
                } else {
                    logger.log(response);
                }
                break;
            case "help":
                if (ori.player) {
                    ori.player.tell(`${Elysium_help}`)
                } else if (!ori.player)
                    log(`${Elysium_help}`)
                break;
            case "debug":
                if (!ori.player) {
                    const keys = Object.keys(modules_log);
                    logger.log("已检测到" + keys.length + "个模块");
                    let modules = [];
                    let i = 0;
                    for (const key of keys) {
                        const moduleStatus = modules_log[key];
                        if (moduleStatus != 1) {
                            modules = moduleStatus
                            logger.log("模块" + modules + "加载失败");
                            i++
                        }
                    }
                    if (i == 0) {
                        logger.log("没有模块加载失败")
                    } else if (i > 0) {
                        logger.log("共" + i + "个模块加载失败")
                    }
                    logger.log("已成功加载" + [keys.length - i] + "个模块");
                } else if (ori.player) {
                    ori.player.tell("-------------------");
                    const keys = Object.keys(modules_log);
                    ori.player.tell("已检测到" + keys.length + "个模块");
                    let modules = [];
                    let i = 0;
                    for (const key of keys) {
                        const moduleStatus = modules_log[key];
                        if (moduleStatus != 1) {
                            modules = moduleStatus
                            ori.player.tell("模块" + modules + "加载失败");
                            i++
                        }
                    }
                    if (i == 0) {
                        ori.player.tell("没有模块加载失败")
                    } else if (i > 0) {
                        ori.player.tell("共" + i + "个模块加载失败")
                    }
                    ori.player.tell("已成功加载" + [keys.length - i] + "个模块");
                    ori.player.tell("-------------------");
                }
                break;
            case "me":
                if (!ori.player) return out.error(ORI_ERROR);
                let gameMode = ori.player.gameMode;
                let perm = ori.player.permLevel;
                switch (gameMode) {
                    case 0:
                        gameMode = "生存";
                        break;
                    case 1:
                        gameMode = "创造";
                        break;
                    case 2:
                        gameMode = "冒险";
                        break;
                    case 6:
                        gameMode = "旁观";
                }
                switch (perm) {
                    case 0:
                        perm = "成员";
                        break;
                    case 1:
                        perm = "管理员";
                        break;
                }
                ori.player.tell(`你的信息:
玩家名: ${ori.player.name}
游戏模式: ${gameMode}
权限: ${perm}
        `)
            case "version":
                if (ori.player) {
                    ori.player.tell(`Elysium插件版本为 v${PLUGINS_VERSION}`);
                } else if (!ori.player) {
                    log(`Elysium插件版本为 v${PLUGINS_VERSION}`);
                }
                break;
            case "reload":
                conf.reload();
                Sidebar_conf.reload();
                BossBar_conf.reload();
                Motd_conf.reload();
                player_nick_conf.reload();
                player_online_time_conf.reload();
                player_sign_conf.reload();
                LANG.reload();
                if (ori.player) {
                    ori.player.tell("配置文件重载成功");
                } else if (!ori.player) {
                    log("配置文件重载成功");
                }
        }
    });
    ELYSIUM.setup();
});

mc.listen("onServerStarted", function () {
    const keys = Object.keys(modules_log);
    let i = 0;
    logger.log("已检测到" + keys.length + "个模块");

    for (const key of keys) {
        const moduleName = key;
        if (modules_log[key] == 0) {
            modules_log[key] = moduleName
            logger.log("模块§4" + moduleName + "§r加载失败");
            i++;
        }
    }
    if (i == 0) {
        logger.log("没有模块加载失败")
    } else if (i > 0) {
        logger.log("共§e" + i + "§r个模块加载失败")
    }
    logger.log("已成功加载" + [keys.length - i] + "个模块");
    logger.log(`加载成功! v${PLUGINS_VERSION}  作者:${PLUGINS_AUTHOR} 感谢使用!`);
});