const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    DEATHMODE = Lang.deathmode,
    DEATHMODE_OPEN = Lang.deathmode_open,
    DEATHMODE_CLOSE = Lang.deathmode_close;

mc.listen("onServerStarted", function () {
    const DeathMode = mc.newCommand("deathmode", `${DEATHMODE}`, PermType.Any)
    DeathMode.setAlias("dm");
    DeathMode.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        deathmode(ori.player)
    })
    DeathMode.overload([]);
    DeathMode.setup();
})

function deathmode(player) {
    if (player.hasTag("death") == false) {
        player.addTag("death")
        player.tell(`${DEATHMODE_CLOSE}`)
    } else if (player.hasTag("death") == true) {
        player.removeTag("death")
        player.tell(`${DEATHMODE_OPEN}`)
    };
    mc.listen("onMobHurt", function (mob, source, _damage, _cause) {
        if (source == undefined) { return };
        if (source.type == "player") {
            return;
        };
        if (player.hasTag("death") == false) {
            if (mob.isPlayer() == false) {
                mob.kill(mob);
            }
        }
    });
}