const conf = new JsonConfigFile("./plugins/Elysium/config/config.json")
const config = conf.init("config", {});

let lang = config.语言;

const LANG = new JsonConfigFile(`./plugins/Elysium/Lang/${lang}.json`)
const Lang = LANG.init("LANG", {});

let ORI_ERROR = Lang.ori_error,
    FLY_OPEN = Lang.fly_open,
    FLY_CLOSE = Lang.fly_close,
    FLY = Lang.fly;

mc.listen("onServerStarted", function () {
    const Fly = mc.newCommand("fly", `${FLY}`, PermType.Any)
    Fly.setCallback(function (_cmd, ori, out, _res) {
        if (!ori.player) return out.error(ORI_ERROR);
        fly(ori.player)
    });
    Fly.overload([]);
    Fly.setup();
})

function fly(player) {
    if (player.canFly == false) {
        player.setAbility(10, true)
        player.tell(`${FLY_OPEN}`)
    } else if (player.canFly == true) {
        player.setAbility(10, false)
        player.tell(`${FLY_CLOSE}`)
    };
};